> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Token

> Rotate refresh token: single-use rotation with family revocation on reuse.

Accepts refresh_token via JSON body or 'refresh_token' cookie.
On reuse of an already-used token: revokes the entire token family (logout).



## OpenAPI

````yaml /openapi.json post /v1/auth/refresh
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/auth/refresh:
    post:
      tags:
        - auth
      summary: Refresh Token
      description: >-
        Rotate refresh token: single-use rotation with family revocation on
        reuse.


        Accepts refresh_token via JSON body or 'refresh_token' cookie.

        On reuse of an already-used token: revokes the entire token family
        (logout).
      operationId: refresh_token_v1_auth_refresh_post
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/RefreshRequest'
                - type: 'null'
              title: Body
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    RefreshRequest:
      properties:
        refresh_token:
          title: Refresh Token
          type: string
      required:
        - refresh_token
      title: RefreshRequest
      type: object
    TokenResponse:
      properties:
        access_token:
          title: Access Token
          type: string
        expires_in:
          default: 3600
          title: Expires In
          type: integer
        id_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Id Token
        refresh_token:
          title: Refresh Token
          type: string
        scope:
          default: ''
          title: Scope
          type: string
        session_id:
          default: ''
          title: Session Id
          type: string
        token_type:
          default: Bearer
          title: Token Type
          type: string
      required:
        - access_token
        - refresh_token
      title: TokenResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````